net.sf.jasperreports.engine.analytics.dataset

## Class DesignDataAxisLevel

- java.lang.Object
- - net.sf.jasperreports.engine.analytics.dataset.BaseDataAxisLevel
  - - net.sf.jasperreports.engine.analytics.dataset.DesignDataAxisLevel

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, DataAxisLevel, JRCloneable

      public class DesignDataAxisLevel
      extends BaseDataAxisLevel

  Version:
    $Id: DesignDataAxisLevel.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROPERTY_BUCKET`
    `static java.lang.String` | `PROPERTY_LABEL_EXPRESSION`
    `static java.lang.String` | `PROPERTY_NAME`

    - ### Fields inherited from class net.sf.jasperreports.engine.analytics.dataset.BaseDataAxisLevel

      `bucket, labelExpression, name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DesignDataAxisLevel()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JRPropertyChangeSupport` | `getEventSupport()`
    `void` | `setBucket(DataLevelBucket bucket)`
    `void` | `setLabelExpression(JRExpression expression)`
    `void` | `setName(java.lang.String name)`

    - ### Methods inherited from class net.sf.jasperreports.engine.analytics.dataset.BaseDataAxisLevel

      `clone, getBucket, getLabelExpression, getName`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROPERTY_NAME

          public static final java.lang.String PROPERTY_NAME

      See Also:
        Constant Field Values

    - #### PROPERTY_LABEL_EXPRESSION

          public static final java.lang.String PROPERTY_LABEL_EXPRESSION

      See Also:
        Constant Field Values

    - #### PROPERTY_BUCKET

          public static final java.lang.String PROPERTY_BUCKET

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DesignDataAxisLevel

          public DesignDataAxisLevel()

  - ### Method Detail

    - #### setName

          public void setName(java.lang.String name)

    - #### setLabelExpression

          public void setLabelExpression(JRExpression expression)

    - #### setBucket

          public void setBucket(DataLevelBucket bucket)

    - #### getEventSupport

          public JRPropertyChangeSupport getEventSupport()

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com